<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">



<head>
<title>Greatest Hits vol 2 (1971)</title>
<link rel="stylesheet" type="text/css" href="../css/general.css" />
<link href="../css/indexpages.css" rel="stylesheet" type="text/css" />
</head>

<body>
<h1><img alt="Bob Dylan's Greatest Hits, Vol. 3" src="../graphics/gh3.png" width="150" height="150" /> Greatest Hits, vol. 3
    </h1>

<p class="recdate">released: Nov 15, 1994 </p>
<ol>
<li><a href="../16_bott/tangled_up_in_blue.htm" name="Tangled Up In Blue">Tangled Up In Blue</a> (from <em>Blood On The Tracks</em>)
      </li>
<li><a href="../20_streetlegal/changing_of_the_guards.htm" name="Changing of the Guards">Changing of the Guards</a> (from&nbsp;&nbsp;<em>Street Legal</em>)
      </li>
<li><a href="../24_shotoflove/groom.htm" name="The Groom's Still Waiting At The Altar">The Groom's Still Waiting At The Altar</a> (from <em>Shot Of Love</em>)
      </li>
<li><a href="../18_desire/hurricane.htm" name="Hurricane">Hurricane</a> (from <em>Desire</em>)
      </li>
<li><a href="../14_planetwaves/forever_young.htm" name="Forever Young">Forever Young</a> (from <em>Planet Waves</em>)
      </li>
<li><a href="../25_infidels/jokerman.htm" name="Jokerman">Jokerman</a> (from <em>Infidels</em>)
      </li>
<li><a href="../37_unplugged/dignity.htm">Dignity</a> (previously unreleased)
      </li>
<li><a href="../30_down/silvio.htm">Silvio</a> (from <em>Down in the Groove</em>)
      </li>
<li><a href="../31_ohmercy/ring_them_bells.htm">Ring Them Bells</a> (from <em>Oh Mercy</em>)
      </li>
<li><a href="../22_slowtrain/gotta_serve_somebody.htm">Gotta Serve Somebody</a> (from <em>Slow Train Coming</em>)
      </li>
<li><a href="../34_bootleg/series_of_dreams.htm">Series Of Dreams</a> (from <em>The Bootleg Series Vols. 1-3</em>)
      </li>
<li><a href="../29_knocked/new_danville_girl.htm">Brownsville Girl</a> from <em>Knocked Out Loaded</em>)
      </li>
<li><a href="../33_utrs/under_the_red_sky.htm">Under The Red Sky</a> (from <em>Under The Red Sky</em>)
      </li>
<li><a href="../12_billy/knockin_on_heavens_door.htm">Knockin' On Heaven's Door</a> (from <em>Pat Garrett &amp; Billy The Kid</em>)
      </li>
</ol>
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-7570468-2");
pageTracker._trackPageview();
} catch(err) {}</script>
</body>
</html>
